Bug 193776 - oowriter crashes while loading template file
Summary: oowriter crashes while loading template file
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-01 15:17 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.3-7.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-04 08:32:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Openoffice crash info (8.03 KB, text/plain)
2006-06-01 15:19 UTC, Ralf Ertzinger
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 66018 None None None Never

Description Ralf Ertzinger 2006-06-01 15:17:07 UTC
Description of problem:
When loading a StarOffice template file (available at
http://www.schnappmatik.de/TFFFFF/tfffff.vor.zip) oowriter crashes. The
resulting crash message is attached.

Version-Release number of selected component (if applicable):
openoffice.org-writer-2.0.3-4.1

How reproducible:
ALways

Steps to Reproduce:
1. Download http://www.schnappmatik.de/TFFFFF/tfffff.vor.zip and unzip
2. Use File->Load in oowriter to open
3.
  
Actual results:
oowriter crashes

Expected results:
Opened template file (or an error message, at least)

Additional info:

Comment 1 Ralf Ertzinger 2006-06-01 15:19:10 UTC
Created attachment 130348 [details]
Openoffice crash info

Comment 2 Caolan McNamara 2006-06-01 19:46:10 UTC
reproducable

Comment 3 Caolan McNamara 2006-06-02 23:39:50 UTC
a tricky one

Comment 4 Caolan McNamara 2006-06-08 09:32:45 UTC
I've a fix for this, but there's something fundamentally odd going on here with
the linguistic uno component which is causing one of it's classes to bomb out of
a uno reflection, so I'll fix the symptoms here and get the underlying cause
investigated upstream

Comment 5 Caolan McNamara 2006-06-27 15:21:34 UTC
gcc seems to have some problem with static initializers, from some deep template
generation.


Note You need to log in before you can comment on or make changes to this bug.